[med-svn] [Git][med-team/norsnet][master] 2 commits: Add basic test functionality
Saira Hussain
gitlab at salsa.debian.org
Wed Jul 31 11:33:11 BST 2019
Saira Hussain pushed to branch master at Debian Med / norsnet
Commits:
a582802b by Saira Hussain at 2019-07-31T10:31:25Z
Add basic test functionality
- - - - -
8e8064ec by Saira Hussain at 2019-07-31T10:33:00Z
Bump changelog
- - - - -
4 changed files:
- debian/changelog
- + debian/examples
- + debian/tests/control
- + debian/tests/run-unit-tests
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,12 @@
+norsnet (1.0.17-5) UNRELEASED; urgency=medium
+
+ * Team upload.
+
+ [Saira Hussain]
+ * Add unit tests
+
+ -- Saira Hussain <saira.h0213 at zoho.com> Wed, 31 Jul 2019 11:31:56 +0100
+
norsnet (1.0.17-4) unstable; urgency=medium
* pp-popularity-contest only suggested
=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+examples/*
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-tests
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/run-unit-tests
=====================================
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -e
+
+pkg=mcl
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # Double quote below to expand the temporary directory variable now versus
+ # later is on purpose.
+ # shellcheck disable=SC2064
+# trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+# Just for debugging
+set -x
+
+#Generation of protein families
+mcxload -abc protein_graphs.txt --stream-mirror --stream-neg-log10 -stream-tf 'ceil(200)' -o protein_graphs.mci -write-tab protein_graphs.tab
+
+mcl protein_graphs.mci -I 2
+
+mcxdump -icl out.protein_graphs.mci.I20 -tabr protein_graphs.tab -o clusters.protein_graphs.mci.I20
+
+#Building clusters of genomes
+mcxload -abc genome_graphs.txt --stream-mirror -o genome_graphs.mci -write-tab genome_graphs.tab
+
+mcl genome_graphs.mci -I 1.2
+
+mcl genome_graphs.mci -I 2
+mcl genome_graphs.mci -I 4
+mcl genome_graphs.mci -I 6
+mcxdump -icl out.genome_graphs.mci.I12 -tabr genome_graphs.tab -o clusters.genome.mci.I12
+mcxdump -icl out.genome_graphs.mci.I20 -tabr genome_graphs.tab -o clusters.genome.mci.I20
+mcxdump -icl out.genome_graphs.mci.I40 -tabr genome_graphs.tab -o clusters.genome.mci.I40
+mcxdump -icl out.genome_graphs.mci.I60 -tabr genome_graphs.tab -o clusters.genome.mci.I60
View it on GitLab: https://salsa.debian.org/med-team/norsnet/compare/bbd49b7bfaef84ca1cea23383129893a16d1617d...8e8064ec462d3e8706dc05de0ebd805c824a3477
--
View it on GitLab: https://salsa.debian.org/med-team/norsnet/compare/bbd49b7bfaef84ca1cea23383129893a16d1617d...8e8064ec462d3e8706dc05de0ebd805c824a3477
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190731/bf37d350/attachment-0001.html>
More information about the debian-med-commit
mailing list